UTICOM(4)

NAME
uticom - Texas Instruments TUSB3410 USB serial adapter

SYNOPSIS
uticom* at uhub?
ucom* at uticom?

DESCRIPTION
The uticom driver supports serial port functionality on devices based on the Texas Instruments TUSB3410 serial to USB converter chip.

The device is accessed through the ucom(4) driver which makes it behave like a tty(4).

SEE ALSO
intro(4), tty(4), ucom(4), uhub(4), usb(4)

HISTORY
The uticom device driver first appeared in OpenBSD 4.3.

AUTHORS
-nosplit The uticom driver was written by Dmitry Komissaroff <dxi@mail.ru> and Hasso Tepper <hasso@estpak.ee>.

CAVEATS
The uticom driver doesn't support devices that have an internal EEPROM with firmware, since such firmware is different to that supplied with OpenBSD.

Devices with multiple ports will attach all ports, though only the first port can be used for now.